Skip to main content
PATCH
/
license-keys
/
{id}
Update License Key
curl --request PATCH \
  --url https://api.blink.store/v1/license-keys/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-store-id: <api-key>' \
  --data '
{
  "expires_at": "2023-11-07T05:31:56Z",
  "activation_limit": 123,
  "status": "<string>"
}
'
import requests

url = "https://api.blink.store/v1/license-keys/{id}"

payload = {
    "expires_at": "2023-11-07T05:31:56Z",
    "activation_limit": 123,
    "status": "<string>"
}
headers = {
    "x-store-id": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'x-store-id': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({expires_at: '2023-11-07T05:31:56Z', activation_limit: 123, status: '<string>'})
};

fetch('https://api.blink.store/v1/license-keys/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "store_id": "<string>",
  "key": "<string>",
  "status": "<string>",
  "activations": 123,
  "activation_limit": 123,
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "product": {
    "id": "<string>",
    "name": "<string>"
  },
  "customer": {
    "id": "<string>",
    "name": "<string>",
    "email": "<string>"
  },
  "order": {
    "id": "<string>",
    "amount": 123,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-store-id
string
header
required

Path Parameters

id
string
required

ID of the license key.

Body

application/json
expires_at
string<date-time>
activation_limit
integer
status
string

Response

License key updated successfully.

id
string
store_id
string
key
string
status
string
activations
integer
activation_limit
integer
expires_at
string<date-time>
created_at
string<date-time>
updated_at
string<date-time>
product
object
customer
object
order
object